Bug 31525 - Street number not being accessed correctly on patron search results page
Summary: Street number not being accessed correctly on patron search results page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: wainuiwitikapark
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-07 04:32 UTC by Aleisha Amohia
Modified: 2022-11-15 17:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07


Attachments
Bug 31525: display streetnumber with address in patron search (1.79 KB, patch)
2022-09-11 22:25 UTC, wainuiwitikapark
Details | Diff | Splinter Review
Bug 31525: display streetnumber with address in patron search (1.91 KB, patch)
2022-09-12 12:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31525: display streetnumber with address in patron search (2.00 KB, patch)
2022-09-12 13:11 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2022-09-07 04:32:13 UTC
If you use the streetnumber field in the patron form, this doesn't show with the address in patron search results.

To reproduce:
1) Edit a patron's contact information
2) Under Main Address put an address, make sure to put something in the Street number field
3) Do a simple patron search that will yield results (i.e. "a")
4) Confirm the street number does not show, but the rest of the address does
Comment 1 wainuiwitikapark 2022-09-11 22:25:41 UTC
Created attachment 140415 [details] [review]
Bug 31525: display streetnumber with address in patron search

Adds back street number to the address when searching for patrons

To test:
1) Edit a patron's contact information
2) Under Main Address put an address, make sure to put something in the
Street number field
3) Do a simple patron search that will yield results (i.e. "a")
4) Confirm the street number does not show, but the rest of the address
does
5) Apply this patch
6) Do another patron search
5) Confirm the street number now shows

Sponsored-by: Catalyst IT
Comment 2 Owen Leonard 2022-09-12 12:16:35 UTC
Created attachment 140434 [details] [review]
Bug 31525: display streetnumber with address in patron search

Adds back street number to the address when searching for patrons

To test:
1) Edit a patron's contact information
2) Under Main Address put an address, make sure to put something in the
Street number field
3) Do a simple patron search that will yield results (i.e. "a")
4) Confirm the street number does not show, but the rest of the address
does
5) Apply this patch
6) Do another patron search
5) Confirm the street number now shows

Sponsored-by: Catalyst IT

Testing note:  AddressFormat system preference must be set to "US style"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2022-09-12 13:11:23 UTC
Created attachment 140458 [details] [review]
Bug 31525: display streetnumber with address in patron search

Adds back street number to the address when searching for patrons

To test:
1) Edit a patron's contact information
2) Under Main Address put an address, make sure to put something in the
Street number field
3) Do a simple patron search that will yield results (i.e. "a")
4) Confirm the street number does not show, but the rest of the address
does
5) Apply this patch
6) Do another patron search
5) Confirm the street number now shows

Sponsored-by: Catalyst IT

Testing note:  AddressFormat system preference must be set to "US style"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Tomás Cohen Arazi 2022-09-23 12:32:40 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-11-01 22:06:47 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 6 Arthur Suzuki 2022-11-15 17:01:37 UTC
file koha-tmpl/intranet-tmpl/prog/en/includes/js-patron-format-address.inc missing in 21.11. can't apply